liblxc1-3.1.0-3.1.i586.rpm


Advertisement

Description

liblxc1 - LXC container runtime library

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename liblxc1-3.1.0-3.1.i586.rpm
Package name liblxc1
Package version 3.1.0
Package release 3.1
Package architecture i586
Package type rpm
Category System/Libraries
Homepage http://linuxcontainers.org/
License LGPL-2.1-only
Maintainer -
Download size 378.76 KB
Installed size 1.19 MB
This package provides the LXC container runtime library.

Alternatives

Package Version Architecture Repository
liblxc1-3.1.0-3.1.x86_64.rpm 3.1.0 x86_64 openSUSE Oss
liblxc1 - - -

Requires

Name Value
/sbin/ldconfig -
findutils -
ld-linux.so.2 -
ld-linux.so.2(GLIBC_2.3) -
libc.so.6(GLIBC_2.28) -
libcap.so.2 -
libgnutls.so.30 -
libgnutls.so.30(GNUTLS_3_4) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.2) -
libseccomp.so.2 -
libselinux.so.1 -
libutil.so.1 -
libutil.so.1(GLIBC_2.0) -
permissions -

Provides

Name Value
config(liblxc1) = 3.1.0-3.1
liblxc.so.1 -
liblxc1 = 3.1.0-3.1
liblxc1(x86-32) = 3.1.0-3.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package liblxc1-3.1.0-3.1.i586.rpm
Source Package lxc-3.1.0-3.1.src.rpm

Install Howto

Install liblxc1 rpm package:

# zypper install liblxc1

Files

Path
/etc/apparmor.d/lxc-containers
/etc/apparmor.d/abstractions/lxc/container-base
/etc/apparmor.d/abstractions/lxc/start-container
/etc/apparmor.d/lxc/lxc-default
/etc/apparmor.d/lxc/lxc-default-cgns
/etc/apparmor.d/lxc/lxc-default-with-mounting
/etc/apparmor.d/lxc/lxc-default-with-nesting
/usr/lib/liblxc.so.1
/usr/lib/liblxc.so.1.5.0
/usr/lib/lxc/lxc-apparmor-load
/usr/lib/lxc/lxc-containers
/usr/lib/lxc/lxc-monitord
/usr/lib/lxc/lxc-net
/usr/lib/lxc/lxc-user-nic
/usr/lib/lxc/hooks/unmount-namespace
/usr/lib/lxc/rootfs/README
/usr/share/doc/packages/liblxc1/AUTHORS
/usr/share/doc/packages/liblxc1/MAINTAINERS
/usr/share/doc/packages/liblxc1/missing_setuid.txt
/usr/share/licenses/liblxc1/COPYING
/var/lib/lxc/

Changelog

2019-04-20 - Aleksa Sarai <asarai@suse.com>
- Rework /var/adm/update-messages handling to be far less complicated, and more
packaging-friendly (by update-messages be owned by the rpm) as well as
storing the update message in a autoconf-templated source file.
2019-04-10 - Dirk Mueller <dmueller@suse.com>
- fix apparmor dropin to be compatible with LXC 3.1.0
2019-04-07 - Aleksa Sarai <asarai@suse.com>
- Avoid wrong permissions warning by conditionally setting the setuid bit based
on what version of permissions is available in that distribution (makes no
difference but results in less confusion to users).
2019-04-01 - Aleksa Sarai <asarai@suse.com>
- Fix builds on SLE12, by depending on apparmor-profiles instead of
apparmor-abstractions. In addition, remove the Requires on abstractions.
2019-03-29 - Jan Engelhardt <jengelh@inai.de>
- Trim project history from package description.
2019-03-26 - Aleksa Sarai <asarai@suse.com>
- Update to LXC 3.1.0. The changelog is far too long to include here, please
look at the changelogs posted on https://linuxcontainers.org/. boo#1131762
* Includes fixes for CVE-2019-5736 bsc#1122185.
+ pam_cgfs is now provided by this package, since upstream has moved the
sources to LXC (it used to be part of lxcfs).
* All of the patches have been upstreamed or are no longer relevant:
- 0001-apparmor-Allow-usr-lib-paths-for-mount-and-pivot_roo.patch
- 0001-utils-add-LXC_PROC_PID_FD_LEN.patch
- 0001-lxc-user-nic-verify-file-descriptor-stable-2.0.patch
- 0001-Backport-autodev-fix-from-lxc-master.patch
- 0001-PyOS_AfterFork-python3.7.patch
- Add a warning if lxc-user-nic is not setuid after set_permissions, to ensure
users actually read the warning (which means we get to remove README.SUSE).
It also supports people using paranoid mode, which is why it's done in
post-install and isn't packaged. boo#988348
- Quite a lot of the runtime helpers and configuration have been moved to
liblxc, in order to allow LXD to make use of them (because, in truth, they
were always a requirement of liblxc and not just the lxc-* tools).
- Add workaround for pre-15 distros, where _sharedstatedir was inexplicably
/usr/com, to use the correct directory of /var/lib.
2019-03-26 - Aleksa Sarai <asarai@suse.com>
- Rework packaging to be a more modern openSUSE-style.
2019-02-04 - Bjoern Voigt <bjoernv@arcor.de>
- compilation fixed for Python 3.7
(PyOS_AfterFork() replaced with PyOS_AfterFork_Child())
added patch 0001-PyOS_AfterFork-python3.7.patch
2018-09-15 - Johannes Kastl <kastl@b1-systems.de>
- fix for bsc#988348 (lxc: enable setuid bit on lxc-user-nic)
- do not remove setuid bit for lxc-user-nic on releases with suse_version >=1550
- remove setuid stuff from README.SUSE on releases with suse_version >=1550
2018-09-14 - Johannes Kastl <kastl@b1-systems.de>
- move bash completion file from /etc/bash_completion.d/lxc to
/usr/share/bash-completion/completions/ to avoid warning

See Also

Package Description
liblxpanel0-0.9.3-1.5.i586.rpm LXDE panel libraries
liblxpanel0-0.9.3-1.5.x86_64.rpm LXDE panel libraries
liblxqt-devel-0.14.1-1.1.i586.rpm Devel files for liblxqt
liblxqt-devel-0.14.1-1.1.x86_64.rpm Devel files for liblxqt
liblxqt-globalkeys-ui0-0.14.1-1.1.i586.rpm UI lxqt-globalkeys libraries
liblxqt-globalkeys-ui0-0.14.1-1.1.x86_64.rpm UI lxqt-globalkeys libraries
liblxqt-globalkeys0-0.14.1-1.1.i586.rpm Lxqt-globalkeys libraries
liblxqt-globalkeys0-0.14.1-1.1.x86_64.rpm Lxqt-globalkeys libraries
liblxqt-lang-0.14.1-1.1.noarch.rpm Translations for package liblxqt
liblxqt0-0.14.1-1.1.i586.rpm LXQt core library
liblxqt0-0.14.1-1.1.x86_64.rpm LXQt core library
liblz1-1.11-1.1.i586.rpm LZMA Compression and Decompression Library
liblz1-1.11-1.1.x86_64.rpm LZMA Compression and Decompression Library
liblz4-1-1.8.3-1.2.i586.rpm Hash-based predictive Lempel-Ziv compressor
liblz4-1-1.8.3-1.2.x86_64.rpm Hash-based predictive Lempel-Ziv compressor
Advertisement
Advertisement